/**
 * @file kim_e.h
 * KIM-1 tape encoding functions
 * @author Marko Mkel <marko.makela at iki.fi>
 */

/* Copyright  2002,2004 Marko Mkel.

   This file is part of C2N, a program for processing data tapes in
   Commodore C2N format and other formats.

   C2N is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   C2N is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   The GNU General Public License is often shipped with GNU software, and
   is generally kept in a file called COPYING or LICENSE.  If you do not
   have a copy of the license, write to the Free Software Foundation,
   59 Temple Place, Suite 330, Boston, MA 02111 USA. */

/** KIM-1 pulse stream encoder
 * @param in	the data stream
 * @param err	the error reporter
 * @param wr	the pulse stream writer
 * @param begin	number of initial synchronization bytes
 * @param rate	baud rate: 1=Hypertape, 6=original KIM-1
 * @return	number of blocks written; 0 on failure
 */
unsigned
encode_kim (FILE* in, pulse_error_t err, pulse_w_t wr,
	    unsigned begin, unsigned rate);
